<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$doc = new document(5);
$doc -> title = 'Общие настройки';

if (isset($_POST['save']))
{
// показ ошибок интерпретатора
$dcms->display_errors=(int)!empty($_POST['display_errors']);
// виджеты в главном меню
$dcms->main_menu_vidgets=(int)!empty($_POST['main_menu_vidgets']);
// название сайта
$dcms->title=text::for_name($_POST['title']);
// название сайта
$dcms->system_nick=text::for_name($_POST['system_nick']);

if ($dcms->save_settings())$doc->msg('Настройки успешно сохранены');
else $doc->err('Нет прав на запись в файл настроек');
}

$form = new design();
$form->assign('method','post');
$form->assign('action','?'.passgen());
$elements=array();

$elements[]=array('type'=>'input_text', 'title'=>'Название сайта', 'br'=>1,
'info'=>array('name' => 'title','value'=>$dcms->title));

$elements[]=array('type'=>'input_text', 'title'=>'Системный ник *', 'br'=>1,
'info'=>array('name' => 'system_nick','value'=>$dcms->system_nick));

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->display_errors, 'name'=>'display_errors', 'text'=>'Показывать ошибки'));

$elements[]=array('type'=>'checkbox', 'br'=>1,
'info'=>array('value'=>1,'checked'=>$dcms->main_menu_vidgets, 'name'=>'main_menu_vidgets', 'text'=>'Виджеты в главном меню'));

$elements[]=array('type'=>'text', 'br'=>1, 'value'=>'* Будет заключен в квадратные скобки');
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'save', 'value'=>'Применить')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');

$doc->ret('Админка','/dpanel/');

?>
